Permalink
Browse files

add spec for less, upgrade dependencies and gemspec, remove jeweler

  • Loading branch information...
1 parent 669ef7b commit d0cb53dbc1c365339e001403e45c7eed4978c15f @blahed blahed committed Oct 1, 2011
Showing with 100 additions and 269 deletions.
  1. +3 −24 Gemfile
  2. +18 −12 Gemfile.lock
  3. +1 −18 Rakefile
  4. +33 −182 frank.gemspec
  5. +0 −1 lib/frank/base.rb
  6. +3 −0 lib/frank/version.rb
  7. +20 −20 spec/compile_spec.rb
  8. +16 −11 spec/render_spec.rb
  9. +5 −0 spec/template/dynamic/stylesheets/less.less
  10. +1 −1 spec/template_helpers_spec.rb
View
@@ -1,25 +1,4 @@
-source :gemcutter
-gem 'rack', '>=1.0'
-gem 'mongrel', '>=1.2.0.pre2'
-gem 'haml', '>=3.0'
-gem 'tilt', '=0.9'
-gem 'net-ssh', '>=2.0'
-gem 'net-scp', '>=1.0'
+source "http://rubygems.org"
-group :development do
- gem 'jeweler'
- gem 'rspec', '>=2.0.0.beta.19'
- gem 'rack-test', '>=0.5'
- gem 'rake'
-
- # tilt dev dependencies
- gem 'contest'
- gem 'builder'
- gem 'erubis'
- gem 'compass', '>= 0.10.2'
- gem 'rdiscount'
- gem 'liquid'
- gem 'less'
- gem 'coffee-script'
- gem 'RedCloth'
-end
+# Dependencies are in `frank.gemspec'
+gemspec
View
@@ -4,14 +4,19 @@ GEM
RedCloth (4.2.3)
abstract (1.0.0)
builder (2.1.2)
- coffee-script (0.3.2)
+ coffee-script (2.2.0)
+ coffee-script-source
+ execjs
+ coffee-script-source (1.1.2)
compass (0.10.2)
haml (>= 3.0.4)
contest (0.1.2)
daemons (1.0.10)
diff-lcs (1.1.2)
erubis (2.6.6)
abstract (>= 1.0.0)
+ execjs (1.2.4)
+ multi_json (~> 1.0)
gem_plugin (0.2.3)
gemcutter (0.6.1)
git (1.2.5)
@@ -28,6 +33,7 @@ GEM
mongrel (1.2.0.pre2)
daemons (~> 1.0.10)
gem_plugin (~> 0.2.3)
+ multi_json (1.0.3)
mutter (0.5.3)
net-scp (1.0.1)
net-ssh (>= 1.99.1)
@@ -48,7 +54,7 @@ GEM
rspec-mocks (2.6.0)
rubyforge (2.0.4)
json_pure (>= 1.1.7)
- tilt (0.9)
+ tilt (1.3.3)
treetop (1.4.8)
polyglot (>= 0.3.1)
@@ -58,20 +64,20 @@ PLATFORMS
DEPENDENCIES
RedCloth
builder
- coffee-script
- compass (>= 0.10.2)
+ coffee-script (~> 2.2.0)
+ compass (~> 0.10.2)
contest
erubis
- haml (>= 3.0)
+ haml (~> 3.0)
jeweler
less
liquid
- mongrel (>= 1.2.0.pre2)
- net-scp (>= 1.0)
- net-ssh (>= 2.0)
- rack (>= 1.0)
- rack-test (>= 0.5)
+ mongrel (~> 1.2.0.pre2)
+ net-scp (~> 1.0)
+ net-ssh (~> 2.0)
+ rack (~> 1.1)
+ rack-test (~> 0.5)
rake
rdiscount
- rspec (>= 2.0.0.beta.19)
- tilt (= 0.9)
+ rspec (~> 2.6.0)
+ tilt (~> 1.3)
View
@@ -1,18 +1 @@
-$LOAD_PATH << "./lib"
-require File.dirname(__FILE__) + "/lib/frank.rb"
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gemspec|
- gemspec.name = "frank"
- gemspec.summary = "Static Site Non-Framework"
- gemspec.description = "Rapidly develop static sites using any supported templating language"
- gemspec.version = Frank::VERSION
- gemspec.email = "travis.dunn@thisismedium.com"
- gemspec.homepage = "http://github.com/blahed/frank"
- gemspec.authors = ["blahed", "nwah"]
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler not available. Install it with: gem install jeweler"
-end
+require 'bundler/gem_tasks'
View
@@ -1,187 +1,38 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "frank/version"
Gem::Specification.new do |s|
- s.name = %q{frank}
- s.version = "1.0.8"
+ s.name = "frank"
+ s.version = Frank::VERSION
+ s.authors = ["blahed", "nwah"]
+ s.email = ["tdunn13@gmail"]
+ s.description = "Rapidly develop static sites using any supported templating language"
+ s.summary = "Rapidly develop static sites using any supported templating language"
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["blahed", "nwah"]
- s.date = %q{2011-02-23}
- s.default_executable = %q{frank}
- s.description = %q{Rapidly develop static sites using any supported templating language}
- s.email = %q{travis.dunn@thisismedium.com}
- s.executables = ["frank"]
- s.extra_rdoc_files = [
- "LICENSE",
- "README.md"
- ]
- s.files = [
- "Gemfile",
- "Gemfile.lock",
- "LICENSE",
- "README.md",
- "Rakefile",
- "autotest/discover.rb",
- "bin/frank",
- "frank.gemspec",
- "lib/frank.rb",
- "lib/frank/base.rb",
- "lib/frank/cli.rb",
- "lib/frank/compile.rb",
- "lib/frank/lorem.rb",
- "lib/frank/middleware/imager.rb",
- "lib/frank/middleware/refresh.rb",
- "lib/frank/middleware/statik.rb",
- "lib/frank/publish.rb",
- "lib/frank/rescue.rb",
- "lib/frank/settings.rb",
- "lib/frank/template_helpers.rb",
- "lib/frank/templates/404.haml",
- "lib/frank/templates/500.haml",
- "lib/frank/templates/frank-404.png",
- "lib/frank/templates/frank-500.png",
- "lib/frank/templates/imager/frank0.jpg",
- "lib/frank/templates/imager/frank1.jpg",
- "lib/frank/templates/imager/frank2.jpg",
- "lib/frank/templates/imager/frank3.jpg",
- "lib/frank/templates/imager/frank4.jpg",
- "lib/frank/templates/imager/frank5.jpg",
- "lib/frank/templates/imager/frank6.jpg",
- "lib/frank/templates/imager/frank7.jpg",
- "lib/frank/templates/imager/frank8.jpg",
- "lib/frank/templates/imager/frank9.jpg",
- "lib/frank/tilt_setup.rb",
- "lib/frank/upgrades.rb",
- "lib/template/dynamic/css/frank.sass",
- "lib/template/dynamic/index.haml",
- "lib/template/helpers.rb",
- "lib/template/layouts/default.haml",
- "lib/template/setup.rb",
- "lib/template/static/favicon.ico",
- "lib/template/static/images/frank-med.png",
- "lib/template/static/js/frank.js",
- "spec/base_spec.rb",
- "spec/compile_spec.rb",
- "spec/helper.rb",
- "spec/publish_spec.rb",
- "spec/render_spec.rb",
- "spec/template/dynamic/500.haml",
- "spec/template/dynamic/_partial.haml",
- "spec/template/dynamic/_partial_with_locals.haml",
- "spec/template/dynamic/builder.builder",
- "spec/template/dynamic/coffee.coffee",
- "spec/template/dynamic/erb.erb",
- "spec/template/dynamic/helper_test.haml",
- "spec/template/dynamic/index.haml",
- "spec/template/dynamic/layout2_test.haml",
- "spec/template/dynamic/liquid.liquid",
- "spec/template/dynamic/lorem_test.haml",
- "spec/template/dynamic/markdown.md",
- "spec/template/dynamic/markdown_in_haml.md",
- "spec/template/dynamic/nested/child.haml",
- "spec/template/dynamic/nested/deeper/deep.haml",
- "spec/template/dynamic/no_layout.haml",
- "spec/template/dynamic/partial_locals_test.haml",
- "spec/template/dynamic/partial_test.haml",
- "spec/template/dynamic/redcloth.textile",
- "spec/template/dynamic/refresh.haml",
- "spec/template/dynamic/setting_in_layout.haml",
- "spec/template/dynamic/stylesheets/sass.sass",
- "spec/template/dynamic/stylesheets/sass_with_compass.sass",
- "spec/template/dynamic/stylesheets/scss_with_compass.scss",
- "spec/template/helpers.rb",
- "spec/template/layouts/default.haml",
- "spec/template/layouts/explicit/layout2.haml",
- "spec/template/layouts/nested/default.haml",
- "spec/template/setup.rb",
- "spec/template/static/files/static.html",
- "spec/template_helpers_spec.rb"
- ]
- s.homepage = %q{http://github.com/blahed/frank}
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.4.0}
- s.summary = %q{Static Site Non-Framework}
- s.test_files = [
- "spec/base_spec.rb",
- "spec/compile_spec.rb",
- "spec/helper.rb",
- "spec/publish_spec.rb",
- "spec/render_spec.rb",
- "spec/template/helpers.rb",
- "spec/template/setup.rb",
- "spec/template_helpers_spec.rb"
- ]
-
- if s.respond_to? :specification_version then
- s.specification_version = 3
-
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<rack>, [">= 1.0"])
- s.add_runtime_dependency(%q<mongrel>, [">= 1.2.0.pre2"])
- s.add_runtime_dependency(%q<haml>, [">= 3.0"])
- s.add_runtime_dependency(%q<tilt>, ["= 0.9"])
- s.add_runtime_dependency(%q<net-ssh>, [">= 2.0"])
- s.add_runtime_dependency(%q<net-scp>, [">= 1.0"])
- s.add_development_dependency(%q<jeweler>, [">= 0"])
- s.add_development_dependency(%q<rspec>, [">= 2.0.0.beta.19"])
- s.add_development_dependency(%q<rack-test>, [">= 0.5"])
- s.add_development_dependency(%q<rake>, [">= 0"])
- s.add_development_dependency(%q<contest>, [">= 0"])
- s.add_development_dependency(%q<builder>, [">= 0"])
- s.add_development_dependency(%q<erubis>, [">= 0"])
- s.add_development_dependency(%q<compass>, [">= 0.10.2"])
- s.add_development_dependency(%q<rdiscount>, [">= 0"])
- s.add_development_dependency(%q<liquid>, [">= 0"])
- s.add_development_dependency(%q<less>, [">= 0"])
- s.add_development_dependency(%q<coffee-script>, [">= 0"])
- s.add_development_dependency(%q<RedCloth>, [">= 0"])
- s.add_development_dependency(%q<ruby-debug>, [">= 0"])
- else
- s.add_dependency(%q<rack>, [">= 1.0"])
- s.add_dependency(%q<mongrel>, [">= 1.2.0.pre2"])
- s.add_dependency(%q<haml>, [">= 3.0"])
- s.add_dependency(%q<tilt>, ["= 0.9"])
- s.add_dependency(%q<net-ssh>, [">= 2.0"])
- s.add_dependency(%q<net-scp>, [">= 1.0"])
- s.add_dependency(%q<jeweler>, [">= 0"])
- s.add_dependency(%q<rspec>, [">= 2.0.0.beta.19"])
- s.add_dependency(%q<rack-test>, [">= 0.5"])
- s.add_dependency(%q<rake>, [">= 0"])
- s.add_dependency(%q<contest>, [">= 0"])
- s.add_dependency(%q<builder>, [">= 0"])
- s.add_dependency(%q<erubis>, [">= 0"])
- s.add_dependency(%q<compass>, [">= 0.10.2"])
- s.add_dependency(%q<rdiscount>, [">= 0"])
- s.add_dependency(%q<liquid>, [">= 0"])
- s.add_dependency(%q<less>, [">= 0"])
- s.add_dependency(%q<coffee-script>, [">= 0"])
- s.add_dependency(%q<RedCloth>, [">= 0"])
- s.add_dependency(%q<ruby-debug>, [">= 0"])
- end
- else
- s.add_dependency(%q<rack>, [">= 1.0"])
- s.add_dependency(%q<mongrel>, [">= 1.2.0.pre2"])
- s.add_dependency(%q<haml>, [">= 3.0"])
- s.add_dependency(%q<tilt>, ["= 0.9"])
- s.add_dependency(%q<net-ssh>, [">= 2.0"])
- s.add_dependency(%q<net-scp>, [">= 1.0"])
- s.add_dependency(%q<jeweler>, [">= 0"])
- s.add_dependency(%q<rspec>, [">= 2.0.0.beta.19"])
- s.add_dependency(%q<rack-test>, [">= 0.5"])
- s.add_dependency(%q<rake>, [">= 0"])
- s.add_dependency(%q<contest>, [">= 0"])
- s.add_dependency(%q<builder>, [">= 0"])
- s.add_dependency(%q<erubis>, [">= 0"])
- s.add_dependency(%q<compass>, [">= 0.10.2"])
- s.add_dependency(%q<rdiscount>, [">= 0"])
- s.add_dependency(%q<liquid>, [">= 0"])
- s.add_dependency(%q<less>, [">= 0"])
- s.add_dependency(%q<coffee-script>, [">= 0"])
- s.add_dependency(%q<RedCloth>, [">= 0"])
- s.add_dependency(%q<ruby-debug>, [">= 0"])
- end
-end
+ s.rubyforge_project = "frank"
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
+
+ s.add_runtime_dependency 'rack', '~> 1.1'
+ s.add_runtime_dependency 'mongrel', '~> 1.2.0.pre2'
+ s.add_runtime_dependency 'haml', '~> 3.0'
+ s.add_runtime_dependency 'tilt', '~> 1.3'
+ s.add_runtime_dependency 'net-ssh', '~> 2.0'
+ s.add_runtime_dependency 'net-scp', '~> 1.0'
+
+ s.add_development_dependency 'rspec', '~> 2.6.0'
+ s.add_development_dependency 'rack-test', '~> 0.5'
+ s.add_development_dependency 'rake'
+ s.add_development_dependency 'builder'
+ s.add_development_dependency 'erubis'
+ s.add_development_dependency 'compass', '~> 0.10.2'
+ s.add_development_dependency 'rdiscount'
+ s.add_development_dependency 'liquid'
+ s.add_development_dependency 'less'
+ s.add_development_dependency 'coffee-script', '~> 2.2.0'
+ s.add_development_dependency 'RedCloth'
+end
View
@@ -6,7 +6,6 @@
require 'frank/middleware/refresh'
module Frank
- VERSION = '1.0.8'
extend Frank::Upgrades
module Render; end
@@ -0,0 +1,3 @@
+module Frank
+ VERSION = '1.0.9'
+end
Oops, something went wrong. Retry.

0 comments on commit d0cb53d

Please sign in to comment.